package ink.wgink.login.base.controller.route.log;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: LogRouteController
 * @Description: 日志
 * @Author: wanggeng
 * @Date: 2021/3/1 10:41 上午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "日志")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/log")
public class LogRouteController {

    @GetMapping("list-department-adjustment")
    public ModelAndView listDepartmentAdjustment() {
        return new ModelAndView("log/list-department-adjustment");
    }

    @GetMapping("list-department-user-adjustment")
    public ModelAndView listDepartmentUserAdjustment() {
        return new ModelAndView("log/list-department-user-adjustment");
    }

    @GetMapping("list-login-log")
    public ModelAndView listLoginLog() {
        return new ModelAndView("log/list-login-log");
    }

    @GetMapping("list-user-adjustment")
    public ModelAndView listUserAdjustment() {
        return new ModelAndView("log/list-user-adjustment");
    }

}
